
# Pique

Pique is project management software that is a delight to use!

This project is in very early stages, so here's what you need to know:

- It's being developed by [Nicole / ntietz](https://ntietz.com/) as a side project
- It's not production ready!
- It's **not open-source** and contributions are not welcome
- It will be free to use while it's in development, but will likely transition
  to paid plans pretty quickly. I hope to always offer some paid plan, but that
  is if I can do it without burning my budget.

**If it's not open-source, why can you see this?** Simply because I (Nicole)
find it much better and easier to work in the open. The code is available
because there is utility in that. It has few drawbacks. If someone wants to
steal it, they can, but that's pretty illegal. Eventually it *might* wind up
open-source, or as a coop, or just as a solo dev project. I don't know, but
openness is a core value for me, so here we are.

If you want to use it, and there is not a plan available yet, just let me know.
My personal email is [me@ntietz.com](mailto:me@ntietz.com) and I can get you
set up.



## Workflow and setup

### Rust

This project uses Rust. Setup the toolchain on your local machine as per usual.
We use nightly, and installation and management using [rustup][rustup] is
recommended.


### SeaORM

We use SeaORM for database interaction. You'll want the CLI, which you can
install with `cargo install sea-orm-cli`.


### Tailwind

We use Tailwind for our styling. You'll want to install the CLI:
```
npm install -D tailwindcss
```


### Docs

Decisions are recorded in ADRs[^adr] using a command-line tool to create and
manage them. You can install it with:

```bash
cargo install adrs
```

See the [adrs docs](https://crates.io/crates/adrs) for more infomration on
usage.




---

[^adr]: [Archictecture Decision Records](https://adr.github.io/) are a
    lightweight way of recording decisions made on a project.

[rustup]: https://rustup.rs/

