use axum::response::Redirect;
use axum_login::AuthSession;

use crate::prelude::*;

pub async fn home_page(State(ctx): State<Context>, auth_session: AuthSession<Context>) -> Response {
    if let Some(user) = auth_session.user {
        let values = context! {
            user => user,
        };

        ctx.render_resp("home.html", values)
    } else {
        Redirect::to("/login").into_response()
    }
}
