use minijinja::{path_loader, Environment};
use minijinja_autoreload::AutoReloader;

pub fn make_template_loader(auto_reload: bool) -> AutoReloader {
    let reloader = AutoReloader::new(move |notifier| {
        let mut env = Environment::new();
        let templates_path = "templates/";
        env.set_loader(path_loader(templates_path));
        if auto_reload {
            notifier.watch_path(templates_path, true);
        }
        Ok(env)
    });
    reloader
}
